Fetch Token Details
Retrieve metadata for a specific namespace user token — permissions, validity dates, and namespace.
{
"namespace_name": "customer_ns_1",
"_id": "alice@company.com"
}
curl -X PUT https://<domain>/api/vault/super-admin/namespace/auth-token/fetch \
-H "Authorization: Bearer <MASTER_API_KEY>" \
-H "Content-Type: application/json; charset=utf-8" \
-d '{
"namespace_name": "customer_ns_1",
"_id": "alice@company.com"
}'
{
"data": {
"auth_token": "<TOKEN>",
"namespace": "customer_ns_1",
"_id": "alice@company.com",
"permissions": ["mask", "unmask"],
"start_date": "2024-07-11",
"end_date": "2029-07-10"
},
"success": true,
"error": { "message": "" }
}
Retrieves metadata for a specific user token within a namespace.
Endpoint
| Method | Endpoint |
|---|---|
PUT | https://<domain>/api/vault/super-admin/namespace/auth-token/fetch |
Was this page helpful?
Last updated 1 day ago
Built with Documentation.AI